<div class="page-screen game-background">
    <form class="page-screen-form" [formGroup]="form" (submit)="onSubmit()">
        
        <div class="form-group">
            <label for="">Nivel</label>
            <nb-select fullWidth placeholder="Nivel" formControlName="level">
                <nb-option *ngFor="let dataLevel of levelsData; let i = index" [value]="i">{{ dataLevel.levelName }}</nb-option>
            </nb-select>
        </div>
        <div class="form-actions text-center">
            <button nbButton status="success" fullWidth type="submit" [disabled]="form.invalid">¡Jugar!</button>
        </div>
    </form>
    <ng-content></ng-content>
</div>